package com.ruoyi.web.controller.warehouse.reportManagement;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.reportManagement.domain.TWhgenleg;
import com.ruoyi.reportManagement.service.ITWhgenlegService;
import com.ruoyi.warehouseBusiness.domain.TWarehouseBills;
import com.ruoyi.warehouseBusiness.service.ITWarehouseBillsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 出入库汇总Controller
 *
 * @author ruoyi
 * @date 2020-12-23
 */
@RestController
@RequestMapping("/warehouseBusiness/summary")
public class TWarehousebillsitemsSummaryController extends BaseController {
    @Autowired
    private ITWarehouseBillsService itWarehouseBillsService;

    /**
     * 查询库存总账列表
     */
    @GetMapping("/list")
    public TableDataInfo list(TWarehouseBills tWarehouseBills) {
        startPage();
        List<Map<String, Object>> list = itWarehouseBillsService.selectInventoryList(tWarehouseBills);
        return getDataTable(list);
    }

    /**
     * 导出库存总账列表
     */
    /*@PreAuthorize("@ss.hasPermi('warehouseBusiness:whgenleg:export')")
    @Log(title = "库存总账", businessType = BusinessType.EXPORT)
    @GetMapping("/export")
    public AjaxResult export(TWhgenleg tWhgenleg) {
        List<TWhgenleg> list = tWhgenlegService.selectTWhgenlegList(tWhgenleg);
        ExcelUtil<TWhgenleg> util = new ExcelUtil<TWhgenleg>(TWhgenleg.class);
        return util.exportExcel(list, "whgenleg");
    }*/



}
