package com.ruoyi.approvalFlow.mapper;

import com.ruoyi.approvalFlow.domain.AuditItemsUsers;

import java.util.List;

/**
 * 审批流任务明细用户Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public interface AuditItemsUsersMapper {
    /**
     * 查询审批流任务明细用户
     *
     * @param id 审批流任务明细用户ID
     * @return 审批流任务明细用户
     */
    public AuditItemsUsers selectAuditItemsUsersById(Long id);

    /**
     * 查询审批流任务明细用户列表
     *
     * @param auditItemsUsers 审批流任务明细用户
     * @return 审批流任务明细用户集合
     */
    public List<AuditItemsUsers> selectAuditItemsUsersList(AuditItemsUsers auditItemsUsers);

    /**
     * 新增审批流任务明细用户
     *
     * @param auditItemsUsers 审批流任务明细用户
     * @return 结果
     */
    public int insertAuditItemsUsers(AuditItemsUsers auditItemsUsers);

    /**
     * 修改审批流任务明细用户
     *
     * @param auditItemsUsers 审批流任务明细用户
     * @return 结果
     */
    public int updateAuditItemsUsers(AuditItemsUsers auditItemsUsers);

    /**
     * 删除审批流任务明细用户
     *
     * @param id 审批流任务明细用户ID
     * @return 结果
     */
    public int deleteAuditItemsUsersById(Long id);

    /**
     * 批量删除审批流任务明细用户
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAuditItemsUsersByIds(Long[] ids);
}
