package com.ruoyi.warehouseBusiness.service;


import com.ruoyi.warehouseBusiness.domain.TWarehousebillsitems;

import java.util.List;

/**
 * 仓库明细从表Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITWarehousebillsitemsService {
    /**
     * 查询仓库明细从表
     *
     * @param fId 仓库明细从表ID
     * @return 仓库明细从表
     */
    public TWarehousebillsitems selectTWarehousebillsitemsById(Long fId);

    /**
     * 查询仓库明细从表列表
     *
     * @param tWarehousebillsitems 仓库明细从表
     * @return 仓库明细从表集合
     */
    public List<TWarehousebillsitems> selectTWarehousebillsitemsList(TWarehousebillsitems tWarehousebillsitems);

    /**
     * 新增仓库明细从表
     *
     * @param tWarehousebillsitems 仓库明细从表
     * @return 结果
     */
    public int insertTWarehousebillsitems(TWarehousebillsitems tWarehousebillsitems);

    /**
     * 修改仓库明细从表
     *
     * @param tWarehousebillsitems 仓库明细从表
     * @return 结果
     */
    public int updateTWarehousebillsitems(TWarehousebillsitems tWarehousebillsitems);

    /**
     * 批量删除仓库明细从表
     *
     * @param fIds 需要删除的仓库明细从表ID
     * @return 结果
     */
    public int deleteTWarehousebillsitemsByIds(Long[] fIds);

    /**
     * 删除仓库明细从表信息
     *
     * @param fId 仓库明细从表ID
     * @return 结果
     */
    public int deleteTWarehousebillsitemsById(Long fId);
}
